# knife edit

The knife edit subcommand is used to edit objects on the Chef server. This subcommand works similar to `knife cookbook edit`, `knife data bag edit`, `knife environment edit`, `knife node edit`, and `knife role edit`, but with a single verb (and a single action).

## Syntax

This subcommand has the following syntax:

    $ knife edit (options)

## Options

Note

Review the list of common options available to this (and all) knife subcommands and plugins.

This subcommand has the following options:

`--chef-repo-path PATH`
  The path to the chef-repo. This setting will override the default path to the chef-repo. Default: same value as specified by `chef_repo_path` in client.rb.
`--concurrency`
  The number of allowed concurrent connections. Default: `10`.
`--local`
  Use to show files in the local chef-repo instead of a remote location. Default: `false`.
`--repo-mode MODE`
  The layout of the local chef-repo. Possible values: `static`, `everything`, or `hosted_everything`. Use `static` for just roles, environments, cookbooks, and data bags. By default, `everything` and `hosted_everything` are dynamically selected depending on the server type. Default: `everything` / `hosted_everything`.

## Examples

None.